# Package org.jfree.layouting.normalizer.content

- Interface Summary
  Interface | Description
  --- | ---
  Normalizer | The normalizer is the first stage of the content processing.

- Class Summary
  Class | Description
  --- | ---
  ContentNormalizer | This class is responsible for normalizing content from the 'content' style property and for hiding content that has 'display:none' set.
  ContentNormalizer.ContentNormalizerState |
  RecordingContentNormalizer | This class records all incoming calls and replays them later.

- Exception Summary
  Exception | Description
  --- | ---
  NormalizationException |
  PageBreakException | A pagebreak exception is a cheap out-of-order-return (some kind of GoTo, but less chaotic).